# class ExpressionParser::Token

### Constants

Divide
End
Equal
GThan
GThanE
LParen
LThan
LThanE
MOD
Minus
Multiply
NotEqual
Number
Plus
RParen

### Attributes

kind[RW]
value[RW]

### Public Class Methods

new() click to toggle source

    # File lib/expression_parser/token.rb, line 28
    def initialize
      @kind = nil
      @value = nil
    end

### Public Instance Methods

unknown?() click to toggle source

    # File lib/expression_parser/token.rb, line 33
    def unknown?
      @kind.nil?
    end